<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Task66 Province CRUD</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
</head>
<body class="hold-transition sidebar-mini">
<!-- Site wrapper -->
<div class="wrapper">
  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="index3.html" class="nav-link">Home</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">Contact</a>
      </li>
    </ul>
  </nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="index3.html" class="brand-link">
      <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light">DevCamp 120</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          <a href="#" class="d-block">ThuanNH</a>
        </div>
      </div>

      <!-- SidebarSearch Form -->
      <div class="form-inline">
        <div class="input-group" data-widget="sidebar-search">
          <input class="form-control form-control-sidebar" type="search" placeholder="Search" aria-label="Search">
          <div class="input-group-append">
            <button class="btn btn-sidebar">
              <i class="fas fa-search fa-fw"></i>
            </button>
          </div>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
          <li class="nav-item menu-open">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-tachometer-alt"></i>
              <p>
                Dashboard
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="province.select.html" class="nav-link active">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Province Select</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="province.crud.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Province CRUD</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="district.crud.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>District CRUD</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="ward.crud.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Ward CRUD</p>
                </a>
              </li>
            </ul>
          </li>
          
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Province - District - Ward Filter</h1>
          </div>
          
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container">
        <h2 style="text-align: center;">Danh sách địa phương</h2>
        
        <form id="inputform01" class="jumbotron container">
      
          <div class="row form-group">
            <div class="col-sm-3">
              <label for="province">Tỉnh thành phố</label>
            </div>
            <div class="col-sm-3">
              <select id="province-select" name="province" class="form-control">
              </select>
            </div>
          </div>
          <div class="row form-group">
            <div class="col-sm-3">
              <label for="district">Quận huyện</label>
            </div>
            <div class="col-sm-3">
              <select id="district-select" disabled="" name="district" class="form-control">
              </select>
            </div>
          </div>
          <div class="row form-group">
            <div class="col-sm-3">
              <label for="ward">Phường Xã</label>
            </div>
            <div class="col-sm-3">
              <select id="ward-select" disabled="" name="ward" class="form-control">
              </select>
            </div>
          </div>
          <div class="row pull-right">
            <div class="col-sm-12">
              <input type="button" value="Send" class="btn btn-info" id="send-button">
            </div>
          </div>
        </form>
        <table class="table table-bordered table-striped table-hover" id="order-table">
          <thead>
            <tr>
             
            </tr>
        </table>
      </div>

    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

  <footer class="main-footer">
    <div class="float-right d-none d-sm-block">
      <b>Version</b> 1.0.0
    </div>
    <strong>Copyright &copy; 2023 <a href="">DevCamp 120</a>.</strong> All rights reserved.
  </footer>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
<!-- AdminLTE App -->
<script src="dist/js/adminlte.min.js"></script>
<script>
  "use strict";
  //Get data province
  $.ajax({
      url: "http://localhost:8080/province/all",
      method: "GET",
      success: function(pObjRes) {
        console.log(pObjRes);
        loadDataToProvinceSelect(pObjRes);
      },
      error: function(paramErr) {
        console.log(paramErr.responseText);
      }
    });

    var gProvinceSelectElement = $("#province-select");

    function loadDataToProvinceSelect(pProvinceList) {
      for (let i = 0; i < pProvinceList.length; i++) {
        var bProvinceOption = $("<option/>");
        bProvinceOption.prop("value", pProvinceList[i].id);
        bProvinceOption.prop("text", pProvinceList[i].name);
        gProvinceSelectElement.append(bProvinceOption);
      };
    }

    var gDistrictSelectElement = $("#district-select");

    //callback function
    gProvinceSelectElement.on("change", function () {
    gDistrictSelectElement.html("");
    var bProvinceId = $(this).val();

    getDistrictsByProvinceId(bProvinceId);
    });

    //find district array by provinceId
    function getDistrictsByProvinceId(pProvinceId) {
      $.ajax({
        url: "http://localhost:8080/districts/search?provinceId=" + pProvinceId,
        method: "GET",
        success: function(pObjRes) {
          console.log(pObjRes);
          loadDataToDistrictSelect(pObjRes);
        },
        error: function(paramErr) {
          console.log(paramErr.responseText);
        }
      });
    }

    function loadDataToDistrictSelect(pDistrictList) {
      if (pDistrictList.length > 0) {
        gDistrictSelectElement.prop("disabled", false);

        for (let i = 0; i < pDistrictList.length; i++) {
          var bDistrictOption = $("<option/>");
          bDistrictOption.prop("value", pDistrictList[i].id);
          bDistrictOption.prop("text", pDistrictList[i].name);
          gDistrictSelectElement.append(bDistrictOption);
        };
      } else {
        gDistrictSelectElement.prop("disabled", "disabled");
      }
    }
    //subtask 9
    var gWardSelectElement = $("#ward-select");
    //xử lý sk on change
    gDistrictSelectElement.on("change", function () {
    gWardSelectElement.html("");
    var bDistrictId = $(this).val();

    getWardsByDistrictId(bDistrictId);
    });

    //find ward array by districtId
    function getWardsByDistrictId(pDistrictId) {
      $.ajax({
        url: "http://localhost:8080/wards/search?districtId=" + pDistrictId,
        method: "GET",
        success: function(pObjRes) {
          console.log(pObjRes);
          loadDataToWardSelect(pObjRes);
        },
        error: function(paramErr) {
          console.log(paramErr.responseText);
        }
      });
    }

    function loadDataToWardSelect(pWardList) {
      if (pWardList.length > 0) {
        gWardSelectElement.prop("disabled", false);

        for (let i = 0; i < pWardList.length; i++) {
          var bWardOption = $("<option/>");
          bWardOption.prop("value", pWardList[i].id);
          bWardOption.prop("text", pWardList[i].name);
          gWardSelectElement.append(bWardOption);
        };
      } else {
        gWardSelectElement.prop("disabled", "disabled");
      }
    }
</script>
</body>
</html>
